Package org.kie.internal.runtime.conf

## Interface DeploymentDescriptorBuilder

-     public interface DeploymentDescriptorBuilder

  Fluent API style builder to simplify construction (or modification) of descriptor instances.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DeploymentDescriptorBuilder` | `addClass​(java.lang.String clazz)` |
    `DeploymentDescriptorBuilder` | `addConfiguration​(NamedObjectModel model)` |
    `DeploymentDescriptorBuilder` | `addEnvironmentEntry​(NamedObjectModel model)` |
    `DeploymentDescriptorBuilder` | `addEventListener​(ObjectModel model)` |
    `DeploymentDescriptorBuilder` | `addGlobal​(NamedObjectModel model)` |
    `DeploymentDescriptorBuilder` | `addMarshalingStrategy​(ObjectModel model)` |
    `DeploymentDescriptorBuilder` | `addRequiredRole​(java.lang.String role)` |
    `DeploymentDescriptorBuilder` | `addTaskEventListener​(ObjectModel model)` |
    `DeploymentDescriptorBuilder` | `addWorkItemHandler​(NamedObjectModel model)` |
    `DeploymentDescriptorBuilder` | `auditMode​(AuditMode mode)` |
    `DeploymentDescriptorBuilder` | `auditPersistenceUnit​(java.lang.String pu)` |
    `DeploymentDescriptor` | `get()` |
    `DeploymentDescriptorBuilder` | `persistenceMode​(PersistenceMode mode)` |
    `DeploymentDescriptorBuilder` | `persistenceUnit​(java.lang.String pu)` |
    `DeploymentDescriptorBuilder` | `runtimeStrategy​(RuntimeStrategy strategy)` |
    `void` | `setBuildHandler​(BuilderHandler handler)` |
    `DeploymentDescriptorBuilder` | `setClasses​(java.util.List<java.lang.String> classes)` |
    `DeploymentDescriptorBuilder` | `setConfiguration​(java.util.List<NamedObjectModel> models)` |
    `DeploymentDescriptorBuilder` | `setEnvironmentEntries​(java.util.List<NamedObjectModel> models)` |
    `DeploymentDescriptorBuilder` | `setEventListeners​(java.util.List<ObjectModel> models)` |
    `DeploymentDescriptorBuilder` | `setGlobals​(java.util.List<NamedObjectModel> models)` |
    `DeploymentDescriptorBuilder` | `setLimitSerializationClasses​(java.lang.Boolean limit)` |
    `DeploymentDescriptorBuilder` | `setMarshalingStrategies​(java.util.List<ObjectModel> models)` |
    `DeploymentDescriptorBuilder` | `setRequiredRoles​(java.util.List<java.lang.String> roles)` |
    `DeploymentDescriptorBuilder` | `setTaskEventListeners​(java.util.List<ObjectModel> models)` |
    `DeploymentDescriptorBuilder` | `setWorkItemHandlers​(java.util.List<NamedObjectModel> models)` |

- - ### Method Detail

    - #### get

          DeploymentDescriptor get()

    - #### persistenceUnit

          DeploymentDescriptorBuilder persistenceUnit​(java.lang.String pu)

    - #### auditPersistenceUnit

          DeploymentDescriptorBuilder auditPersistenceUnit​(java.lang.String pu)

    - #### auditMode

          DeploymentDescriptorBuilder auditMode​(AuditMode mode)

    - #### persistenceMode

          DeploymentDescriptorBuilder persistenceMode​(PersistenceMode mode)

    - #### addConfiguration

          DeploymentDescriptorBuilder addConfiguration​(NamedObjectModel model)

    - #### addEnvironmentEntry

          DeploymentDescriptorBuilder addEnvironmentEntry​(NamedObjectModel model)

    - #### addWorkItemHandler

          DeploymentDescriptorBuilder addWorkItemHandler​(NamedObjectModel model)

    - #### addGlobal

          DeploymentDescriptorBuilder addGlobal​(NamedObjectModel model)

    - #### addEventListener

          DeploymentDescriptorBuilder addEventListener​(ObjectModel model)

    - #### addTaskEventListener

          DeploymentDescriptorBuilder addTaskEventListener​(ObjectModel model)

    - #### addMarshalingStrategy

          DeploymentDescriptorBuilder addMarshalingStrategy​(ObjectModel model)

    - #### addRequiredRole

          DeploymentDescriptorBuilder addRequiredRole​(java.lang.String role)

    - #### addClass

          DeploymentDescriptorBuilder addClass​(java.lang.String clazz)

    - #### runtimeStrategy

          DeploymentDescriptorBuilder runtimeStrategy​(RuntimeStrategy strategy)

    - #### setConfiguration

          DeploymentDescriptorBuilder setConfiguration​(java.util.List<NamedObjectModel> models)

    - #### setEnvironmentEntries

          DeploymentDescriptorBuilder setEnvironmentEntries​(java.util.List<NamedObjectModel> models)

    - #### setWorkItemHandlers

          DeploymentDescriptorBuilder setWorkItemHandlers​(java.util.List<NamedObjectModel> models)

    - #### setGlobals

          DeploymentDescriptorBuilder setGlobals​(java.util.List<NamedObjectModel> models)

    - #### setEventListeners

          DeploymentDescriptorBuilder setEventListeners​(java.util.List<ObjectModel> models)

    - #### setTaskEventListeners

          DeploymentDescriptorBuilder setTaskEventListeners​(java.util.List<ObjectModel> models)

    - #### setMarshalingStrategies

          DeploymentDescriptorBuilder setMarshalingStrategies​(java.util.List<ObjectModel> models)

    - #### setRequiredRoles

          DeploymentDescriptorBuilder setRequiredRoles​(java.util.List<java.lang.String> roles)

    - #### setClasses

          DeploymentDescriptorBuilder setClasses​(java.util.List<java.lang.String> classes)

    - #### setLimitSerializationClasses

          DeploymentDescriptorBuilder setLimitSerializationClasses​(java.lang.Boolean limit)

    - #### setBuildHandler

          void setBuildHandler​(BuilderHandler handler)